# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['nonebot_plugin_aitalk']

package_data = \
{'': ['*']}

install_requires = \
['nonebot-adapter-onebot>=2.0.0,<3.0.0',
 'nonebot-plugin-localstore>=0.7.3,<0.8.0',
 'nonebot2>=2.2.0,<3.0.0',
 'openai>=1.0.0']

setup_kwargs = {
    'name': 'nonebot-plugin-aitalk',
    'version': '2.1.13',
    'description': '简单好用的AI聊天插件，支持多API，支持让AI理解图片，发送表情包，艾特，戳一戳等',
    'long_description': '<div align="center">\n  <a href="https://v2.nonebot.dev/store"><img src="https://github.com/A-kirami/nonebot-plugin-template/blob/resources/nbp_logo.png" width="180" height="180" alt="NoneBotPluginLogo"></a>\n  <img src="https://github.com/WStudioGroup/hifumi-plugins/blob/main/remove.photos-removed-background.png" width="200">\n  <br>\n  <p><img src="https://github.com/A-kirami/nonebot-plugin-template/blob/resources/NoneBotPlugin.svg" width="240" alt="NoneBotPluginText"></p>\n</div>\n\n<div align="center">\n\n# nonebot-plugin-aitalk\n\n_✨ 简单好用的AI聊天插件 ✨_\n\n\n<a href="./LICENSE">\n    <img src="https://img.shields.io/github/license/captain-wangrun-cn/nonebot-plugin-aitalk.svg" alt="license">\n</a>\n<a href="https://pypi.python.org/pypi/nonebot-plugin-aitalk">\n    <img src="https://img.shields.io/pypi/v/nonebot-plugin-aitalk.svg" alt="pypi">\n</a>\n<img src="https://img.shields.io/badge/python-3.9+-blue.svg" alt="python">\n\n</div>\n\n## 📖 介绍\n\n简单好用的AI聊天插件，支持多API，支持让AI理解图片，发送表情包，艾特，戳一戳等\n\n>[!IMPORTANT]\n>写的比较史，欢迎提pr或issue！\n\n## 💿 安装\n\n<details open>\n<summary>使用 nb-cli 安装</summary>\n在 nonebot2 项目的根目录下打开命令行, 输入以下指令即可安装\n\n    nb plugin install nonebot-plugin-aitalk\n\n</details>\n\n<details>\n<summary>使用包管理器安装</summary>\n在 nonebot2 项目的插件目录下, 打开命令行, 根据你使用的包管理器, 输入相应的安装命令\n\n<details>\n<summary>pip</summary>\n\n    pip install nonebot-plugin-aitalk\n</details>\n\n\n打开 nonebot2 项目根目录下的 `pyproject.toml` 文件, 在 `[tool.nonebot]` 部分追加写入\n\n    plugins = ["nonebot_plugin_aitalk"]\n\n</details>\n\n## ⚙️ 配置\n\n在 nonebot2 项目的`.env`文件中添加下表中的必填配置\n\n| 配置项          | 类型   | 必填 | 默认值 | 说明                  |\n|:------------:|:----:|:---:|:---:|:-------------------:|\n| aitalk_api_list | list | 是 | [ ] | API列表，支持多个API，格式请往下看 |\n| aitalk_available_memes | list | 是 | [ ] | AI可以发送的表情包，格式请往下看 |\n| aitalk_command_start | str | 否  | ""  | 对话触发前缀，例如“/对话”，类似on_command，为空时直接艾特即可触发 |\n| aitalk_completion_config | list | 否 | [ ] | 生成配置，格式请往下看 |\n| aitalk_default_prompt | str | 否 | "你的回答应该尽量简洁、幽默、可以使用一些语气词、颜文字。你应该拒绝回答任何政治相关的问题。" | 默认提示词 |\n| aitalk_default_prompt_file | str | 否 | "" | 默认提示词文件路径，与提示词二选一，优先使用文件。请注意将windows系统路径中的\\替换成\\\\ |\n| aitalk_reply_when_meme | bool | 否 | true | 当只有表情包时，是否回复消息 |\n| aitalk_reply | bool | 否 | true | 是否回复消息 |\n| aitalk_max_split_length | int | 否 | 5 | 最大分割长度，将会在prompt中告诉ai，回复的消息数量不要大于这个值，可能不起作用 |\n| aitalk_max_context_length | int | 否 | 20 | 最长上下文消息数量，超过这个数量时，将会逐个抛弃最早的一条消息。这个数值包括设定消息 |\n| aitalk_save_user_config | bool | 否 | true | 是否保存用户配置，关闭nonebot时将会保存用户所选模型，对话内容等，启动时读取 |\n| aitalk_default_available | bool | 否 | true | 是否默认允许群聊使用，为false时需要手动使用指令开启 |\n| aitalk_default_available_private | bool | 否 | true | 是否默认允许私聊使用，为false时需要手动使用指令开启 |\n| aitalk_chat_cd | int | 否 | 5 | 聊天cd，单位秒 |\n\n\naitalk_api_list（api列表）格式：\n```json\n[\n{\n    "name": "向用户展示的模型名称",\n    "api_key": "你的api key",\n    "model_name": "请求api用的模型名称",\n    "api_url": "api接口地址",\n    "image_input": 是否支持图片输入，适用于Qwen2.5-vl等多模态模型，默认为false\n},\n{\n    "name": "向用户展示的模型名称2",\n    "api_key": "你的api key2",\n    "model_name": "请求api用的模型名称2",\n    "api_url": "api接口地址2"\n}\n]\n```\n\n\naitalk_completion_config（生成配置）格式：\n```json\n{\n    "max_token": 1024,\n    "temperature": 0.7\n    "top_p": 0.9\n}\n```\n\n\naitalk_available_memes（AI可以发送的表情包）格式：\n```json\n[\n{\n    "url": "图片地址，支持链接或本地路径。⚠️⚠️注意！如果是windows系统的本地路径，请将路径中的\\换成/，可以看下面的配置示例⚠️⚠️",\n    "desc": "图片描述，告诉AI这张表情包是什么内容，用于什么场景等等"\n},\n{\n    "url": "图片地址2",\n    "desc": "图片描述2"\n}\n]\n```\n\n\n## ⚙️ 配置示例\n```\naitalk_api_list = \'\n[\n{\n    "name": "deepseekr1-14b",\n    "api_key": "sk-1145141919810",\n    "model_name": "deepseek-ai/DeepSeek-R1-Distill-Qwen-14B",\n    "api_url": "https://api.siliconflow.cn/v1"\n},\n{\n    "name": "gemma-27b",\n    "api_key": "sk-1145141919810",\n    "model_name": "google/gemma-2-27b-it",\n    "api_url": "https://api.siliconflow.cn/v1"\n},\n{\n    "name": "千问2.5-14b",\n    "api_key": "sk-1145141919810",\n    "model_name": "Qwen/Qwen2-VL-72B-Instruct",\n    "api_url": "https://api.siliconflow.cn/v1",\n    "image_input": true\n},\n{\n    "name": "chatgpt-4o",\n    "api_key": "sk-1145141919810",\n    "model_name": "gpt-4o",\n    "api_url": "https://api.aiskt.com/v1"\n}\n]\n\'\naitalk_available_memes = \'\n[\n{\n    "url": "D:/bots/imgs/1.png",\n    "desc": "很抱歉伤害到你"\n},\n{\n    "url": "D:/bots/imgs/2.png",\n    "desc": "哭"\n},\n{\n    "url": "D:/bots/imgs/3.png",\n    "desc": "啊哈哈...（感到尴尬）"\n}\n]\n\'\naitalk_default_prompt_file = "D:\\\\prompt\\\\日富美.txt"\n```\n\n\n\n## 🎉 使用\n### 指令表\n| 指令 | 权限 | 需要@ | 范围 | 说明 |\n|:-----:|:----:|:----:|:----:|:----:|\n| @机器人 | 群聊 | 是 | 群聊 | 艾特机器人即可聊天 |\n| 模型选择 | 群聊 | 否 | 群聊 | 选择模型 |\n| ai对话 开启 | 管理员+ | 否 | 群聊 | 开启本群ai对话 |\n| ai对话 关闭 | 管理员+ | 否 | 群聊 | 关闭本群ai对话 |\n| 清空聊天记录 | 群聊 | 否 | 群聊 | 清空对话记录 |\n### 效果图\n<img src="imgs/QQ20250222-232704.png">\n<img src="imgs/QQ20250222-232730.png">\n<img src="imgs/QQ20250222-232813.png">\n\n## 🍟参考\n[nonebot-plugin-llmchat](https://github.com/FuQuan233/nonebot-plugin-llmchat) 参考了部分代码以及prompt\n\n## 📃 更新日志\n### 2.1.13（2025.03.04）\n- 🐛修复路径BUG和配置读取BUG[PR#1](https://github.com/captain-wangrun-cn/nonebot-plugin-aitalk/pull/4)\n### 2.1.12（2025.03.04）\n- 🆕支持让AI理解图片（图片输入）\n- 🐛优化代码\n- 🆕更改群聊聊天,支持管理员设置群内模型[#1](https://github.com/captain-wangrun-cn/nonebot-plugin-aitalk/issues/1)\n- 🐛修复连续对话问题[#2](https://github.com/captain-wangrun-cn/nonebot-plugin-aitalk/issues/2)\n### 1.0.10（2025.03.02）\n- 🐛修复了设置输入状态的问题\n### 1.0.9（2025.02.28）\n- 🐛修复了私聊聊天的一些问题\n### 1.0.8（2025.02.28）\n- 🆕添加了私聊聊天支持\n### 1.0.7（2025.02.25）\n- 🐛更改data.py\n### 1.0.6（2025.02.23）\n- 😡排除Q群管家\n### 1.0.5（2025.02.23）\n- 🐛修复了表情包链接问题\n### 1.0.4（2025.02.23）\n- 🐛修复一些问题,更改README\n### 1.0.3（2025.02.23）\n- ⬇️修复依赖问题\n### 1.0.2（2025.02.23）\n- 🐛修复表情包本地路径问题\n### 1.0.1（2025.02.22）\n- 📝更新README\n### 1.0.0（2025.02.22）\n- 🎉发布\n',
    'author': 'WR',
    'author_email': 'wangrun114514@foxmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/captain-wangrun-cn/nonebot-plugin-aitalk',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
